<?php 
/**
 * Createing an about us pannel for customizer
 */
// START ABOUT SECTION  
    $wp_customize->add_section(
        'luzuk_premium_ourskill_section',
        array(
            'title' => __( 'Contact Detail Section', 'luzuk Themes Premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );
    // ENABLE/DISABLE FEATURED SECTION
    $wp_customize->add_setting(
        'luzuk_premium_ourskill_section_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'luzuk_premium_ourskill_section_disable',
            array(
                'settings'      => 'luzuk_premium_ourskill_section_disable',
                'section'       => 'luzuk_premium_ourskill_section',
                'label'         => __( 'Counter Section', 'luzuk Themes Premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk Themes Premium' ),
                    'off' => __( 'No', 'luzuk Themes Premium' )
                ),
            )
        )
    );

 backgroundManager($wp_customize, 'ourskill', 'luzuk_premium_ourskill_section', $color='#f9f9f9', get_template_directory_uri().'/images/default-gray.png', 'img');


//Section Padding   
lzCustomLable($wp_customize, 'ourskill_padding', 'luzuk_premium_ourskill_section', ' Section Padding Setting:');

$wp_customize->add_setting(
    'ourskill_toppadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '6em', 'luzuk Themes Premium' )
    )
);
$wp_customize->add_control(
    'ourskill_toppadding',
    array(
        'settings'      => 'ourskill_toppadding',
        'section'       => 'luzuk_premium_ourskill_section',
        'type'          => 'text',
        'label'         => __( 'Section Top Padding', 'luzuk Themes Premium' )
    )
);
$wp_customize->add_setting(
    'ourskill_bottompadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '6em', 'luzuk Themes Premium' )
    )
);
$wp_customize->add_control(
    'ourskill_bottompadding',
    array(
        'settings'      => 'ourskill_bottompadding',
        'section'       => 'luzuk_premium_ourskill_section',
        'type'          => 'text',
        'label'         => __( 'Section Bottom Padding', 'luzuk Themes Premium' )
    )
);

// $wp_customize->add_setting(
//     'ourskill_leftpadding',
//     array(
//         'sanitize_callback' => 'luzuk_sanitize_text',
//         'default'           => __( '3em', 'luzuk Themes Premium' )
//     )
// );
// $wp_customize->add_control(
//     'ourskill_leftpadding',
//     array(
//         'settings'      => 'ourskill_leftpadding',
//         'section'       => 'luzuk_premium_ourskill_section',
//         'type'          => 'text',
//         'label'         => __( 'Section Left Padding', 'luzuk Themes Premium' )
//     )
// );
// $wp_customize->add_setting(
//     'ourskill_rightpadding',
//     array(
//         'sanitize_callback' => 'luzuk_sanitize_text',
//         'default'           => __( '3em', 'luzuk Themes Premium' )
//     )
// );
// $wp_customize->add_control(
//     'ourskill_rightpadding',
//     array(
//         'settings'      => 'ourskill_rightpadding',
//         'section'       => 'luzuk_premium_ourskill_section',
//         'type'          => 'text',
//         'label'         => __( 'Section Right Padding', 'luzuk Themes Premium' )
//     )
// );


backgroundManager($wp_customize, 'ourskillinn', 'luzuk_premium_ourskill_section', $color='#ffffff', get_template_directory_uri().'/images/ad-bg.jpg', 'color');

addColorPalatOption($wp_customize, 'luzuk_inskilColor', 'luzuk_premium_ourskill_section', 'Section Inside Image Color', '#0664ad');



    $wp_customize->add_setting(
        'skillinn_image_heading',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'skillinn_image_heading',
            array(
                'settings'      => 'skillinn_image_heading',
                'section'       => 'luzuk_premium_ourskill_section',
                'label'         => __( 'Left logo', 'luzuk-premium' ),
            )
        )
    );


    $wp_customize->add_setting(
        'skillinn_image',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'skillinn_image',
            array(
                'section' => 'luzuk_premium_ourskill_section',
                'settings' => 'skillinn_image',
                'description' => __('Recommended Image Size: 620X420px', 'luzuk-premium')
            )
        )
    );


    $wp_customize->add_setting(
        'luzuk_counter_title_heading',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'luzuk_counter_title_heading',
            array(
                'settings'      => 'luzuk_counter_title_heading',
                'section'       => 'luzuk_premium_ourskill_section',
                'label'         => __( 'Section Title & Text', 'luzuk Themes Premium' ),
            )
        )
    );


    $wp_customize->add_setting(
        'luzuk_counter_title',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'CALL US NOW', 'luzuk Themes Premium' )
        )
    );
    $wp_customize->add_control(
        'luzuk_counter_title',
        array(
            'settings'      => 'luzuk_counter_title',
            'section'       => 'luzuk_premium_ourskill_section',
            'type'          => 'text',
            'label'         => __( 'Section Title', 'luzuk Themes Premium' )
        )
    );


// Heading color
addColorPalatOption($wp_customize, 'luzuk_counterHeadingColor', 'luzuk_premium_ourskill_section', 'Section Title Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_counterHeadingicnColor', 'luzuk_premium_ourskill_section', 'Section Title Icon Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_counterHeadingicnhvColor', 'luzuk_premium_ourskill_section', 'Section Title Icon Hover Color', '#fddb1f');

    $wp_customize->add_setting(
        'luzuk_counter_subtitle',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'FOR IMMEDIATE RESPONCE', 'luzuk Themes Premium' )
        )
    );
    $wp_customize->add_control(
        'luzuk_counter_subtitle',
        array(
            'settings'      => 'luzuk_counter_subtitle',
            'section'       => 'luzuk_premium_ourskill_section',
            'type'          => 'textarea',
            'label'         => __( 'Section Text', 'luzuk Themes Premium' )
        )
    );

// Sub Text color
addColorPalatOption($wp_customize, 'luzuk_countersubTExtColor', 'luzuk_premium_ourskill_section', 'Section Sub Text Color', '#6ea9d6');

    $wp_customize->add_setting(
        'luzuk_our_boxsubtext',
        array(
            'sanitize_callback'=>'luzuk_sanitize_text',
            'default'=> __('1800 123 456 789', 'luzuk Themes Premium')
        )
    );
    $wp_customize->add_control(
        'luzuk_our_boxsubtext',
        array(
            'settings' =>'luzuk_our_boxsubtext',
            'section' => 'luzuk_premium_ourskill_section',
            'type'=> 'text',
            'label'=> __('Phone Number', 'luzuk Themes Premium')
        )
    );


 
addColorPalatOption($wp_customize, 'luzuk_countersubtexulbgColor', 'luzuk_premium_ourskill_section', 'Phone Number & Border Color', '#fddb1f');
   
addColorPalatOption($wp_customize, 'luzuk_countersubtexulicoColor', 'luzuk_premium_ourskill_section', 'Contact Box Border Color', '#fddb1f');

$wp_customize->add_setting(
        'support_image_heading',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'support_image_heading',
            array(
                'settings'      => 'support_image_heading',
                'section'       => 'luzuk_premium_ourskill_section',
                'label'         => __( 'Right Side Image', 'luzuk-premium' ),
            )
        )
    );

      $wp_customize->add_setting(
        'luzuk_support_image',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'luzuk_support_image',
            array(
                'section' => 'luzuk_premium_ourskill_section',
                'settings' => 'luzuk_support_image',
                'description' => __('Recommended Image Size: 320X400px', 'luzuk-premium')
            )
        )
    );





